Subject: Re: bug#58329: 29.0.50; [PATCH] Pass correct environment name to `reftex-label'

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Oct 2022 09:41:32 -0400

Lars Ingebrigtsen [2022-10-06 14:19:17] wrote:
> Arash Esbati <[email-masked]> writes:
>
>> -     '(if (and (boundp 'reftex-mode) reftex-mode) (reftex-label "table"))))
>> +     '(if (and (boundp 'reftex-mode) reftex-mode) (reftex-label "figure"))))
>
> Your change look like the right thing to me.  This code was apparently
> introduced in:
>
> commit dd166d5fa1712b0dda35859c91d89666c2873471
> Author:     Stefan Monnier <[email-masked]>
> AuthorDate: Sun Oct 3 19:53:23 2004 +0000
>
> It looks to me like a cut and paste error -- I've added Stefan to the
> CCs; I'm sure he remembers this code.  It's just 18 years ago.

Oh, so that's what it was.  I've noticed the problem but just lived with
the quirk thinking it was a problem in my own local changes since noone
else complained.
Thanks a lot Arash for fixing it!

        Stefan